#
# Please do not update/rebuild/touch this package before asking first
# to the KDE Team
# This package is part of the KDE Stack.
#

%define __brp_python_bytecompile %{nil}

%define uname kdev-python

%define rel 1

Name:           kdevelop-python
Version: 23.04.1
Release:        %mkrel %{rel}
Summary:        Python plugin for KDevelop
Group:          Development/Python
License:        GPLv2+
Url:            https://www.kdevelop.org
Source0:        https://download.kde.org/stable/release-service/%{version}/src/%{uname}-%{version}.tar.xz
## Upstream patches

BuildRequires:  cmake(KDevelop) >= 5.7.211200
BuildRequires:  cmake(KDevelop-PG-Qt)
BuildRequires:  cmake(KDevPlatform) >= 5.7.211200
BuildRequires:  pkgconfig(python3) >= 3.5

BuildRequires:  pkgconfig(Qt5Concurrent)
BuildRequires:  pkgconfig(Qt5Core)
BuildRequires:  pkgconfig(Qt5Gui)
BuildRequires:  pkgconfig(Qt5Test)
BuildRequires:  pkgconfig(Qt5Widgets)

BuildRequires:  kf5-rpm-macros
BuildRequires:  cmake(KF5KCMUtils)
BuildRequires:  cmake(KF5I18n)
BuildRequires:  cmake(KF5ItemModels)
BuildRequires:  cmake(KF5NewStuff)
BuildRequires:  cmake(KF5Parts)
BuildRequires:  cmake(KF5ThreadWeaver)
BuildRequires:  cmake(KF5TextEditor)

Requires:       kdevelop >= %{version}

%description
Python plugin for KDevelop.

%files -f kdevpython.lang
%{_kf5_categoriesdir}/kdevpythonsupport.categories
%{_kf5_datadir}/kdevpythonsupport/
%{_kf5_datadir}/kdevappwizard/templates/*.tar.bz2
%{_kf5_metainfodir}/org.kde.kdev-python.metainfo.xml
%{_kf5_libdir}/libkdevpython*.so
%{_qt5_plugindir}/kdevplatform/5??/kdevpdb.so
%{_qt5_plugindir}/kdevplatform/5??/kdevpython*.so

#--------------------------------------------------------------------

%prep
%autosetup -p1 -n %{uname}-%{version}

%build
%cmake_kf5
%cmake_build

%install
%cmake_install

%find_lang kdevpython


%changelog
* Mon May 29 2023 neoclust <neoclust> 23.04.1-1.mga9
+ Revision: 1959590
- New version 23.04.1

* Sat Mar 04 2023 neoclust <neoclust> 22.12.3-1.mga9
+ Revision: 1947517
- New version 22.12.3

* Tue Feb 14 2023 neoclust <neoclust> 22.12.2-1.mga9
+ Revision: 1941911
- New version 22.12.2

* Thu Dec 15 2022 neoclust <neoclust> 22.12.0-1.mga9
+ Revision: 1923034
- New version 22.12.0

* Wed Nov 30 2022 neoclust <neoclust> 22.11.90-1.mga9
+ Revision: 1913203
- New version 22.11.90

* Wed Nov 16 2022 daviddavid <daviddavid> 22.08.3-1.mga9
+ Revision: 1908186
- add some upstream fixes to port to python 3.10
+ neoclust <neoclust>
- New version 22.08.3
- New version 22.08.1
- New version 22.08.0
- New version 22.04.3
- New version 22.04.0
- New version 22.04.0
- New version 22.03.90
+ akien <akien>
- Rebuild for python 3.10

* Sun Jan 02 2022 neoclust <neoclust> 21.12.0-1.mga9
+ Revision: 1766074
- New version 21.12.0

* Sat Mar 20 2021 daviddavid <daviddavid> 5.6.2-2.mga9
+ Revision: 1705542
- rebuild for python 3.9

* Sat Feb 27 2021 daviddavid <daviddavid> 5.6.2-1.mga9
+ Revision: 1692591
- new version: 5.6.2

* Wed Dec 09 2020 daviddavid <daviddavid> 5.6.1-1.mga8
+ Revision: 1654946
- new version: 5.6.1

* Thu Sep 17 2020 daviddavid <daviddavid> 5.6.0-1.mga8
+ Revision: 1627242
- new version: 5.6.0

* Fri Jun 19 2020 daviddavid <daviddavid> 5.5.2-1.mga8
+ Revision: 1597055
- new version: 5.5.2

* Thu May 28 2020 daviddavid <daviddavid> 5.5.1-2.mga8
+ Revision: 1588471
- switch appdata file to kf5_metainfo dir

* Wed May 06 2020 daviddavid <daviddavid> 5.5.1-1.mga8
+ Revision: 1580969
- new version: 5.5.1

* Wed Feb 19 2020 umeabot <umeabot> 5.5.0-2.mga8
+ Revision: 1542859
- Mageia 8 Mass Rebuild

* Tue Feb 11 2020 daviddavid <daviddavid> 5.5.0-1.mga8
+ Revision: 1490703
- new version: 5.5.0
- remove merged upstream patch

* Tue Jan 07 2020 daviddavid <daviddavid> 5.4.6-1.mga8
+ Revision: 1477149
- new version: 5.4.6
+ wally <wally>
- build with new cmake macros

* Fri Dec 13 2019 daviddavid <daviddavid> 5.4.5-1.mga8
+ Revision: 1466193
- new version: 5.4.5

* Thu Nov 07 2019 daviddavid <daviddavid> 5.4.4-1.mga8
+ Revision: 1458626
- new version: 5.4.4

* Sat Oct 26 2019 daviddavid <daviddavid> 5.4.3-1.mga8
+ Revision: 1455834
- new version: 5.4.3
- add upstream patch to fix build with python 3.8
- rebuild for python3.8

* Tue Sep 03 2019 daviddavid <daviddavid> 5.4.2-1.mga8
+ Revision: 1436638
- new version: 5.4.2

* Tue Aug 20 2019 daviddavid <daviddavid> 5.4.1-1.mga8
+ Revision: 1430477
- new version: 5.4.1

* Mon Jul 22 2019 daviddavid <daviddavid> 5.3.3-1.mga8
+ Revision: 1423389
- new version: 5.3.3

* Sat Mar 30 2019 umeabot <umeabot> 5.3.2-2.mga7
+ Revision: 1382283
- Qt5 Rebuild

* Sun Mar 10 2019 daviddavid <daviddavid> 5.3.2-1.mga7
+ Revision: 1373662
- new version: 5.3.2

* Wed Jan 09 2019 daviddavid <daviddavid> 5.3.1-2.mga7
+ Revision: 1353079
- rebuild for new Python 3.7

* Fri Dec 07 2018 daviddavid <daviddavid> 5.3.1-1.mga7
+ Revision: 1338814
- new version: 5.3.1

* Thu Nov 01 2018 daviddavid <daviddavid> 5.3.0-1.mga7
+ Revision: 1327053
- new version: 5.3.0

* Sun Sep 23 2018 umeabot <umeabot> 5.2.4-2.mga7
+ Revision: 1298505
- Mageia 7 Mass Rebuild

* Tue Aug 21 2018 daviddavid <daviddavid> 5.2.4-1.mga7
+ Revision: 1253216
- new version: 5.2.4

* Tue May 22 2018 daviddavid <daviddavid> 5.2.3-1.mga7
+ Revision: 1231333
- new version: 5.2.3

* Mon Feb 05 2018 daviddavid <daviddavid> 5.2.1-1.mga7
+ Revision: 1198954
- new version: 5.2.1

* Sun Aug 06 2017 daviddavid <daviddavid> 5.1.1-2.mga7
+ Revision: 1138090
- rebuild for new Python 3.6

* Sat Jun 03 2017 akien <akien> 5.1.1-1.mga6
+ Revision: 1106372
- Version 5.1.1

* Thu May 25 2017 neoclust <neoclust> 5.1.0-2.mga6
+ Revision: 1104507
- Rebuild for arm

* Wed May 24 2017 neoclust <neoclust> 5.1.0-1.mga6
+ Revision: 1104475
- new version 5.1.0
- New version 5.0.4

* Sat Dec 31 2016 neoclust <neoclust> 5.0.3-1.mga6
+ Revision: 1078767
- new version 5.0.3

* Thu Sep 22 2016 daviddavid <daviddavid> 5.0.1-1.mga6
+ Revision: 1055137
- new version: 5.0.1

* Fri Aug 26 2016 daviddavid <daviddavid> 5.0.0-1.mga6
+ Revision: 1048978
- new version: 5.0.0 final

* Thu Jan 28 2016 fwang <fwang> 4.90.91-1.mga6
+ Revision: 928317
- 4.90.91

* Thu Oct 29 2015 fwang <fwang> 4.90.90-1.mga6
+ Revision: 896428
- disable python compile
- compile with py3
- add upstream patch to fix build
- 4.90.90
- rename to kdevelop

* Tue Feb 10 2015 lmenut <lmenut> 1.7.1-1.mga5
+ Revision: 814629
- Update to 1.7.1

* Wed Oct 15 2014 umeabot <umeabot> 1.7.0-4.mga5
+ Revision: 749116
- Second Mageia 5 Mass Rebuild

* Sat Sep 27 2014 tv <tv> 1.7.0-3.mga5
+ Revision: 726617
- rebuild for missing pythoneggs deps

* Tue Sep 16 2014 umeabot <umeabot> 1.7.0-2.mga5
+ Revision: 681016
- Mageia 5 Mass Rebuild

* Wed Aug 27 2014 fwang <fwang> 1.7.0-1.mga5
+ Revision: 668581
- 1.7.0

* Sat Aug 23 2014 fwang <fwang> 1.6.90-1.mga5
+ Revision: 666754
- 1.6.90

* Tue Dec 17 2013 colin <colin> 1.6.0-1.mga4
+ Revision: 558140
- New version: 1.6.0

* Wed Nov 20 2013 fwang <fwang> 1.5.2-1.mga4
+ Revision: 552018
- update file list
- new version 1.5.2

* Tue Oct 22 2013 umeabot <umeabot> 1.5.1-3.mga4
+ Revision: 546133
- Mageia 4 Mass Rebuild

* Thu Oct 17 2013 philippem <philippem> 1.5.1-2.mga4
+ Revision: 502187
- fix python scripts build error

* Fri May 31 2013 fwang <fwang> 1.5.1-1.mga4
+ Revision: 433524
- new version 1.5.1

* Mon May 27 2013 fwang <fwang> 1.4.90-1.mga4
+ Revision: 428542
- new version 1.4.90

* Sat Jan 12 2013 umeabot <umeabot> 1.4.1-2.mga3
+ Revision: 356073
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sun Nov 25 2012 fwang <fwang> 1.4.1-1.mga3
+ Revision: 321795
- new version 1.4.1

* Fri Nov 23 2012 fwang <fwang> 1.4.0-1.mga3
+ Revision: 321230
- br python
- fix linkage
- fix tarballdir
- new version 1.4.0b

* Fri Oct 26 2012 fwang <fwang> 1.3.80-1.mga3
+ Revision: 310132
- update file list
- imported package kdevelop4-python

